# Interface LayerPresetProperties

Properties that can be passed into the constructor for layer-preset/LayerPreset!LayerPreset.

interface LayerPresetProperties {
basemap?: WellKnownBasemap | BasemapProperties;
basemapOptions?: (WellKnownBasemap | BasemapProperties)[];
description?: string;
failureMode?: FailureMode;
icon?: string;
iconUrl?: string;
id?: string;
layers?: LayerPresetJson[];
title?: string;
}

#### Hierarchy (view full)

- EntityBaseProperties
  - LayerPresetProperties

#####
Index

### Properties

basemap?
basemapOptions?
description?
failureMode?
icon?
iconUrl?
id?
layers?
title?

##
Properties

### `Optional` basemap

basemap?: WellKnownBasemap | BasemapProperties

See layer-preset/LayerPreset!LayerPreset.basemap.

### `Optional` basemapOptions

basemapOptions?: (WellKnownBasemap | BasemapProperties)[]

See layer-preset/LayerPreset!LayerPreset.basemapOptions.

### `Optional` description

description?: string

See layer-preset/LayerPreset!LayerPreset.description.

### `Optional` failureMode

failureMode?: FailureMode

See support/InitializableBase!InitializableBase.failureMode.

Inherited from EntityBaseProperties.failureMode

### `Optional` icon

icon?: string

See layer-preset/LayerPreset!LayerPreset.icon.

### `Optional` iconUrl

iconUrl?: string

See layer-preset/LayerPreset!LayerPreset.iconUrl.

### `Optional` id

id?: string

The unique ID to assign to the entity. If not specified, one will be generated.

Inherited from EntityBaseProperties.id

### `Optional` layers

layers?: LayerPresetJson[]

See layer-preset/LayerPreset!LayerPreset.layers.

### `Optional` title

title?: string

See layer-preset/LayerPreset!LayerPreset.title.